yeahuh / rpms / qemu-kvm

Forked from rpms/qemu-kvm 2 years ago
Clone

Blame SOURCES/kvm-qemu-iotests-add-empty-test-case-for-vmdk.patch

9ae3a8
From c896fb12ce68b579e8954651db3d903600cf0f00 Mon Sep 17 00:00:00 2001
9ae3a8
From: Fam Zheng <famz@redhat.com>
9ae3a8
Date: Tue, 6 Aug 2013 15:44:50 +0800
9ae3a8
Subject: [PATCH 04/13] qemu-iotests: add empty test case for vmdk
9ae3a8
9ae3a8
Message-id: <1377573001-27070-5-git-send-email-famz@redhat.com>
9ae3a8
Patchwork-id: 53784
9ae3a8
O-Subject: [RHEL-7 qemu-kvm PATCH 04/13] qemu-iotests: add empty test case for
9ae3a8
        vmdk
9ae3a8
Bugzilla: 995866
9ae3a8
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
9ae3a8
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
RH-Acked-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
9ae3a8
Will add vmdk specific tests later here.
9ae3a8
9ae3a8
Signed-off-by: Fam Zheng <famz@redhat.com>
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
(cherry picked from commit ca6cbb657d66a7beb70f9d91848c80d1a72b1674)
9ae3a8
Signed-off-by: Fam Zheng <famz@redhat.com>
9ae3a8
9ae3a8
Conflicts:
9ae3a8
	tests/qemu-iotests/group
9ae3a8
        Context conflict because some test scritps do not exist yet.
9ae3a8
---
9ae3a8
 tests/qemu-iotests/059     |   51 ++++++++++++++++++++++++++++++++++++++++++++
9ae3a8
 tests/qemu-iotests/059.out |    2 +
9ae3a8
 tests/qemu-iotests/group   |    1 +
9ae3a8
 3 files changed, 54 insertions(+), 0 deletions(-)
9ae3a8
 create mode 100755 tests/qemu-iotests/059
9ae3a8
 create mode 100644 tests/qemu-iotests/059.out
9ae3a8
9ae3a8
diff --git a/tests/qemu-iotests/059 b/tests/qemu-iotests/059
9ae3a8
new file mode 100755
9ae3a8
index 0000000..9dc7f64
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/059
9ae3a8
@@ -0,0 +1,51 @@
9ae3a8
+#!/bin/bash
9ae3a8
+#
9ae3a8
+# Test case for vmdk
9ae3a8
+#
9ae3a8
+# Copyright (C) 2013 Red Hat, Inc.
9ae3a8
+#
9ae3a8
+# This program is free software; you can redistribute it and/or modify
9ae3a8
+# it under the terms of the GNU General Public License as published by
9ae3a8
+# the Free Software Foundation; either version 2 of the License, or
9ae3a8
+# (at your option) any later version.
9ae3a8
+#
9ae3a8
+# This program is distributed in the hope that it will be useful,
9ae3a8
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
9ae3a8
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
9ae3a8
+# GNU General Public License for more details.
9ae3a8
+#
9ae3a8
+# You should have received a copy of the GNU General Public License
9ae3a8
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
9ae3a8
+#
9ae3a8
+
9ae3a8
+# creator
9ae3a8
+owner=famz@redhat.com
9ae3a8
+
9ae3a8
+seq=`basename $0`
9ae3a8
+echo "QA output created by $seq"
9ae3a8
+
9ae3a8
+here=`pwd`
9ae3a8
+tmp=/tmp/$$
9ae3a8
+status=1	# failure is the default!
9ae3a8
+
9ae3a8
+_cleanup()
9ae3a8
+{
9ae3a8
+	_cleanup_test_img
9ae3a8
+}
9ae3a8
+trap "_cleanup; exit \$status" 0 1 2 3 15
9ae3a8
+
9ae3a8
+# get standard environment, filters and checks
9ae3a8
+. ./common.rc
9ae3a8
+. ./common.filter
9ae3a8
+
9ae3a8
+# This tests vmdk-specific low-level functionality
9ae3a8
+_supported_fmt vmdk
9ae3a8
+_supported_proto generic
9ae3a8
+_supported_os Linux
9ae3a8
+
9ae3a8
+granularity_offset=16
9ae3a8
+
9ae3a8
+# success, all done
9ae3a8
+echo "*** done"
9ae3a8
+rm -f $seq.full
9ae3a8
+status=0
9ae3a8
diff --git a/tests/qemu-iotests/059.out b/tests/qemu-iotests/059.out
9ae3a8
new file mode 100644
9ae3a8
index 0000000..4ca7f29
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/059.out
9ae3a8
@@ -0,0 +1,2 @@
9ae3a8
+QA output created by 059
9ae3a8
+*** done
9ae3a8
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
9ae3a8
index 68eabda..3b1d042 100644
9ae3a8
--- a/tests/qemu-iotests/group
9ae3a8
+++ b/tests/qemu-iotests/group
9ae3a8
@@ -60,3 +60,4 @@
9ae3a8
 051 rw auto
9ae3a8
 052 rw auto backing
9ae3a8
 053 rw auto
9ae3a8
+059 rw auto
9ae3a8
-- 
9ae3a8
1.7.1
9ae3a8